As of yesterday (March 19, 2013), I am getting the following error when trying to install this module via drush make:

File comment_notify-7.x-1.2.tar.gz is corrupt (wrong md5 checksum).

I did a bit of research, and it looks like this may be something that doesn't belong in this issue queue (a drupal.org thing?), but I wanted to go ahead and post since you did have a release yesterday just on the off-chance it is related on your end. Any ideas?

Comments

Project:Comment Notify» Drupal.org infrastructure
Version:7.x-1.2»
Component:Miscellaneous» Packaging

I don't think it is comment notify related. Can you try again and see if it works now? It may have just been a timing issue.

Status:Active» Closed (won't fix)

this may happen when a build is built but the xml file isn't yet, or it is still cached.